{ lib, config, ... }:

{
  users = {
    mutableUsers = false;
    users."tami" = {
      isNormalUser = true;
      hashedPassword = "$y$j9T$BUWA7o2/xFFY6g/B9somr1$rveo/ttShW7jd835kf2pE9vAfDIXj/Hii3B5c9GyCjA";
      openssh.authorizedKeys.keys = [
        # Kranzes/Ilan
        "sk-ssh-ed25519@openssh.com AAAAGnNrLXNzaC1lZDI1NTE5QG9wZW5zc2guY29tAAAAIBF2qWuvMCuJMlc6+ehyU0V/asmfAlT5/GLhUQqbpQ/bAAAABHNzaDo="
        "sk-ssh-ed25519@openssh.com AAAAGnNrLXNzaC1lZDI1NTE5QG9wZW5zc2guY29tAAAAIEVpaQ0K0Fzz0Hu48pqKiI25lr9ASwXR1yzYbeErBX/2AAAABHNzaDo="
      ];
      extraGroups = [ "wheel" ]
        ++ lib.optional config.networking.networkmanager.enable "networkmanager"
        ++ lib.optional config.programs.adb.enable "adbusers";
      uid = 1000;
    };
  };
}
