inputs:

let inherit (inputs.nixpkgs) lib; in

lib.nixosSystem {
  system = "x86_64-linux";
  specialArgs = { inherit inputs; };
  modules = builtins.filter (x: lib.hasSuffix ".nix" x && baseNameOf x != "default.nix") (lib.filesystem.listFilesRecursive ./.) ++ [
    inputs.disko.nixosModules.disko
    "${inputs.self}/profiles/nix-nixpkgs.nix"
    "${inputs.self}/profiles/ssh.nix"
    { system.stateVersion = "23.05"; }
  ];
}
